Subject: Re: bug#22513: 25.0.90; xwidget-webikit doesn't handle new html5 input types

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Feb 2021 18:05:14 +0100

Emanuel Evans <[email-masked]> writes:

> It looks like xwidget-webkit can't currently input text into HTML5 input
> types other than "text", "password", and "textarea". Steps to reproduce:
>
> 1. emacs -Q
>
> 2. M-x xwidget-webkit-browse-url
>
> 2. Go to http://files.emanuel.industries/forms.html
>
> 3. Mouse over text fields and try to enter data into them using RETURN.
>
> 4. Notice that only the input labeled "Text" actually works.
>
> The fix looks pretty straightforward; I'll try to get a patch ready
> shortly.

(I'm going through old bug reports that unfortunately got no response at
the time.)

The web page no longer exists, so I can't test this, but I can't recall
hearing any other similar reports.  Are you still seeing this odd
problem in more recent versions of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no